View Issue Details

IDProjectCategoryView StatusLast Update
0003293SymmetricDSBugpublic2017-11-06 08:13
ReporterrwfullerAssigned Tochenson 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.30 
Target Version3.8.31Fixed in Version3.8.31 
Summary0003293: Resource leak when loading data from transport
DescriptionThere is a resource leak in 3.8.30 in DataLoaderService.java in method loadDataFromTransport

<code>
                new SimpleStagingDataWriter(transport.openReader(), stagingManager, Constants.STAGING_CATEGORY_INCOMING,
                        memoryThresholdInBytes, BatchType.LOAD, targetNodeId, ctx, loadListener).process();
                
                /* Previously submitted tasks will still be executed */
                executor.shutdown();
</code>

During processing if the first line throws an exception then the executor pool is never shutdown.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 e222aaf1

2017-10-29 17:25:59

chenson42

Details Diff
0003293: Resource leak when loading data from transport
0003293
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

Issue History

Date Modified Username Field Change
2017-10-27 17:10 rwfuller New Issue
2017-10-29 17:23 chenson Assigned To => chenson
2017-10-29 17:23 chenson Status new => assigned
2017-10-29 17:26 chenson Status assigned => resolved
2017-10-29 17:26 chenson Resolution open => fixed
2017-10-29 17:26 chenson Fixed in Version => 3.8.31
2017-10-29 17:26 chenson Target Version => 3.8.31
2017-10-29 18:00 chenson42 Changeset attached => SymmetricDS 3.8 e222aaf1
2017-11-06 08:13 chenson Status resolved => closed